namespace Com.Bocom.OpenApi
{
    public abstract class BocomDownloadEncryptRequest<T> : BocomRequest<T> where T : BocomResponse
    {
        private string downloadPath;

        private string hashCode;

        public string GetDownloadPath()
        {
            return downloadPath;
        }

        /// <summary>
        /// 
        /// </summary>
        /// <param name="downloadPath">the downloadPath to set</param>
        public void SetDownloadPath(string downloadPath)
        {
            this.downloadPath = downloadPath;
        }

        public abstract string getEncryptKey();

        public abstract string getEncryptPolicy();

        public string getHashCode()
        {
            return hashCode;
        }

        public abstract string GetEncryptType();

        public void SetHashCode(string hashCode)
        {
            this.hashCode = hashCode;
        }
    }
}